Up

# NSUnit documentation

### Authors

Gregory John Casamento (`greg.casamento@gmail.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSDimension class
2. Software documentation for the NSUnit class
3. Software documentation for the NSUnitAcceleration class
4. Software documentation for the NSUnitAngle class
5. Software documentation for the NSUnitArea class
6. Software documentation for the NSUnitConcentrationMass class
7. Software documentation for the NSUnitConverter class
8. Software documentation for the NSUnitConverterLinear class
9. Software documentation for the NSUnitDispersion class
10. Software documentation for the NSUnitDuration class
11. Software documentation for the NSUnitElectricCharge class
12. Software documentation for the NSUnitElectricCurrent class
13. Software documentation for the NSUnitElectricPotentialDifference class
14. Software documentation for the NSUnitElectricResistance class
15. Software documentation for the NSUnitEnergy class
16. Software documentation for the NSUnitFrequency class
17. Software documentation for the NSUnitFuelEfficiency class
18. Software documentation for the NSUnitIlluminance class
19. Software documentation for the NSUnitLength class
20. Software documentation for the NSUnitMass class
21. Software documentation for the NSUnitPower class
22. Software documentation for the NSUnitPressure class
23. Software documentation for the NSUnitSpeed class
24. Software documentation for the NSUnitTemperature class
25. Software documentation for the NSUnitVolume class

# Software documentation for the NSDimension class

## NSDimension : NSUnit

> Declared in:
>   Foundation/NSUnit.h

> Conforms to:
>   NSCoding

Availability: MacOS-X 10.12.0
Description forthcoming.

Instance Variables
Method summary

- +baseUnit
- -converter
- -initWithSymbol:converter:

### baseUnit

+ (instancetype) baseUnit;
Availability: MacOS-X 10.12.0
Description forthcoming.

### converter

- (NSUnitConverter*) converter;
Availability: MacOS-X 10.12.0
Description forthcoming.

### initWithSymbol: converter:

- (instancetype) initWithSymbol: (NSString*)symbol converter: (NSUnitConverter*)converter;
Availability: MacOS-X 10.12.0
Description forthcoming.

## Instance Variables for NSDimension Class

### _converter

@protected NSUnitConverter* _converter;
Availability: MacOS-X 10.12.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _value

@protected double _value;
Availability: MacOS-X 10.12.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSUnit class

## NSUnit : NSObject

> Declared in:
>   Foundation/NSUnit.h

> Conforms to:
>   NSCopying
>   NSCoding

Availability: MacOS-X 10.12.0
Description forthcoming.

Instance Variables
Method summary

- -init
- -initWithSymbol:
- -symbol

### init

- (instancetype) init;
Availability: MacOS-X 10.12.0
Description forthcoming.

### initWithSymbol:

- (instancetype) initWithSymbol: (NSString*)symbol;
Availability: MacOS-X 10.12.0
Description forthcoming.

### symbol

- (NSString*) symbol;
Availability: MacOS-X 10.12.0
Description forthcoming.

## Instance Variables for NSUnit Class

### _symbol

@protected NSString* _symbol;
Availability: MacOS-X 10.12.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSUnitAcceleration class

## NSUnitAcceleration : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +gravity
- +metersPerSecondSquared

### gravity

+ (NSUnitAcceleration*) gravity;
Availability: MacOS-X 10.12.0
Description forthcoming.

### metersPerSecondSquared

+ (NSUnitAcceleration*) metersPerSecondSquared;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitAngle class

## NSUnitAngle : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +arcMinutes
- +arcSeconds
- +degrees
- +gradians
- +radians
- +revolutions

### arcMinutes

+ (NSUnitAngle*) arcMinutes;
Availability: MacOS-X 10.12.0
Description forthcoming.

### arcSeconds

+ (NSUnitAngle*) arcSeconds;
Availability: MacOS-X 10.12.0
Description forthcoming.

### degrees

+ (NSUnitAngle*) degrees;
Availability: MacOS-X 10.12.0
Description forthcoming.

### gradians

+ (NSUnitAngle*) gradians;
Availability: MacOS-X 10.12.0
Description forthcoming.

### radians

+ (NSUnitAngle*) radians;
Availability: MacOS-X 10.12.0
Description forthcoming.

### revolutions

+ (NSUnitAngle*) revolutions;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitArea class

## NSUnitArea : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +acres
- +ares
- +hectares
- +squareCentimeters
- +squareFeet
- +squareInches
- +squareKilometers
- +squareMegameters
- +squareMeters
- +squareMicrometers
- +squareMiles
- +squareMillimeters
- +squareNanometers
- +squareYards

### acres

+ (NSUnitArea*) acres;
Availability: MacOS-X 10.12.0
Description forthcoming.

### ares

+ (NSUnitArea*) ares;
Availability: MacOS-X 10.12.0
Description forthcoming.

### hectares

+ (NSUnitArea*) hectares;
Availability: MacOS-X 10.12.0
Description forthcoming.

### squareCentimeters

+ (NSUnitArea*) squareCentimeters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### squareFeet

+ (NSUnitArea*) squareFeet;
Availability: MacOS-X 10.12.0
Description forthcoming.

### squareInches

+ (NSUnitArea*) squareInches;
Availability: MacOS-X 10.12.0
Description forthcoming.

### squareKilometers

+ (NSUnitArea*) squareKilometers;
Availability: MacOS-X 10.12.0
Description forthcoming.

### squareMegameters

+ (NSUnitArea*) squareMegameters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### squareMeters

+ (NSUnitArea*) squareMeters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### squareMicrometers

+ (NSUnitArea*) squareMicrometers;
Availability: MacOS-X 10.12.0
Description forthcoming.

### squareMiles

+ (NSUnitArea*) squareMiles;
Availability: MacOS-X 10.12.0
Description forthcoming.

### squareMillimeters

+ (NSUnitArea*) squareMillimeters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### squareNanometers

+ (NSUnitArea*) squareNanometers;
Availability: MacOS-X 10.12.0
Description forthcoming.

### squareYards

+ (NSUnitArea*) squareYards;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitConcentrationMass class

## NSUnitConcentrationMass : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +gramsPerLiter
- +milligramsPerDeciliter
- +millimolesPerLiterWithGramsPerMole:

### gramsPerLiter

+ (NSUnitConcentrationMass*) gramsPerLiter;
Availability: MacOS-X 10.12.0
Description forthcoming.

### milligramsPerDeciliter

+ (NSUnitConcentrationMass*) milligramsPerDeciliter;
Availability: MacOS-X 10.12.0
Description forthcoming.

### millimolesPerLiterWithGramsPerMole:

+ (NSUnitConcentrationMass*) millimolesPerLiterWithGramsPerMole: (double)gramsPerMole;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitConverter class

## NSUnitConverter : NSObject

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- -baseUnitValueFromValue:
- -valueFromBaseUnitValue:

### baseUnitValueFromValue:

- (double) baseUnitValueFromValue: (double)value;
Availability: MacOS-X 10.12.0
Description forthcoming.

### valueFromBaseUnitValue:

- (double) valueFromBaseUnitValue: (double)baseUnitValue;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitConverterLinear class

## NSUnitConverterLinear : NSUnitConverter

> Declared in:
>   Foundation/NSUnit.h

> Conforms to:
>   NSCoding

Availability: MacOS-X 10.12.0
Description forthcoming.

Instance Variables
Method summary

- -coefficient
- -constant
- -initWithCoefficient:
- -initWithCoefficient:constant:

### coefficient

- (double) coefficient;
Availability: MacOS-X 10.12.0
Description forthcoming.

### constant

- (double) constant;
Availability: MacOS-X 10.12.0
Description forthcoming.

### initWithCoefficient:

- (instancetype) initWithCoefficient: (double)coefficient;
Availability: MacOS-X 10.12.0
Description forthcoming.

### initWithCoefficient: constant:

- (instancetype) initWithCoefficient: (double)coefficient constant: (double)constant;
Availability: MacOS-X 10.12.0
Description forthcoming.

## Instance Variables for NSUnitConverterLinear Class

### _coefficient

@protected double _coefficient;
Availability: MacOS-X 10.12.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _constant

@protected double _constant;
Availability: MacOS-X 10.12.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSUnitDispersion class

## NSUnitDispersion : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +partsPerMillion

### partsPerMillion

+ (NSUnitDispersion*) partsPerMillion;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitDuration class

## NSUnitDuration : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +hours
- +minutes
- +seconds

### hours

+ (NSUnitDuration*) hours;
Availability: MacOS-X 10.12.0
Description forthcoming.

### minutes

+ (NSUnitDuration*) minutes;
Availability: MacOS-X 10.12.0
Description forthcoming.

### seconds

+ (NSUnitDuration*) seconds;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitElectricCharge class

## NSUnitElectricCharge : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +ampereHours
- +coulombs
- +kiloampereHours
- +megaampereHours
- +microampereHours
- +milliampereHours

### ampereHours

+ (NSUnitElectricCharge*) ampereHours;
Availability: MacOS-X 10.12.0
Description forthcoming.

### coulombs

+ (NSUnitElectricCharge*) coulombs;
Availability: MacOS-X 10.12.0
Description forthcoming.

### kiloampereHours

+ (NSUnitElectricCharge*) kiloampereHours;
Availability: MacOS-X 10.12.0
Description forthcoming.

### megaampereHours

+ (NSUnitElectricCharge*) megaampereHours;
Availability: MacOS-X 10.12.0
Description forthcoming.

### microampereHours

+ (NSUnitElectricCharge*) microampereHours;
Availability: MacOS-X 10.12.0
Description forthcoming.

### milliampereHours

+ (NSUnitElectricCharge*) milliampereHours;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitElectricCurrent class

## NSUnitElectricCurrent : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +amperes
- +kiloamperes
- +megaamperes
- +microamperes
- +milliamperes

### amperes

+ (NSUnitElectricCurrent*) amperes;
Availability: MacOS-X 10.12.0
Description forthcoming.

### kiloamperes

+ (NSUnitElectricCurrent*) kiloamperes;
Availability: MacOS-X 10.12.0
Description forthcoming.

### megaamperes

+ (NSUnitElectricCurrent*) megaamperes;
Availability: MacOS-X 10.12.0
Description forthcoming.

### microamperes

+ (NSUnitElectricCurrent*) microamperes;
Availability: MacOS-X 10.12.0
Description forthcoming.

### milliamperes

+ (NSUnitElectricCurrent*) milliamperes;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitElectricPotentialDifference class

## NSUnitElectricPotentialDifference : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +kilovolts
- +megavolts
- +microvolts
- +millivolts
- +volts

### kilovolts

+ (NSUnitElectricPotentialDifference*) kilovolts;
Availability: MacOS-X 10.12.0
Description forthcoming.

### megavolts

+ (NSUnitElectricPotentialDifference*) megavolts;
Availability: MacOS-X 10.12.0
Description forthcoming.

### microvolts

+ (NSUnitElectricPotentialDifference*) microvolts;
Availability: MacOS-X 10.12.0
Description forthcoming.

### millivolts

+ (NSUnitElectricPotentialDifference*) millivolts;
Availability: MacOS-X 10.12.0
Description forthcoming.

### volts

+ (NSUnitElectricPotentialDifference*) volts;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitElectricResistance class

## NSUnitElectricResistance : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +kiloohms
- +megaohms
- +microohms
- +milliohms
- +ohms

### kiloohms

+ (NSUnitElectricResistance*) kiloohms;
Availability: MacOS-X 10.12.0
Description forthcoming.

### megaohms

+ (NSUnitElectricResistance*) megaohms;
Availability: MacOS-X 10.12.0
Description forthcoming.

### microohms

+ (NSUnitElectricResistance*) microohms;
Availability: MacOS-X 10.12.0
Description forthcoming.

### milliohms

+ (NSUnitElectricResistance*) milliohms;
Availability: MacOS-X 10.12.0
Description forthcoming.

### ohms

+ (NSUnitElectricResistance*) ohms;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitEnergy class

## NSUnitEnergy : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +calories
- +joules
- +kilocalories
- +kilojoules
- +kilowattHours

### calories

+ (NSUnitEnergy*) calories;
Availability: MacOS-X 10.12.0
Description forthcoming.

### joules

+ (NSUnitEnergy*) joules;
Availability: MacOS-X 10.12.0
Description forthcoming.

### kilocalories

+ (NSUnitEnergy*) kilocalories;
Availability: MacOS-X 10.12.0
Description forthcoming.

### kilojoules

+ (NSUnitEnergy*) kilojoules;
Availability: MacOS-X 10.12.0
Description forthcoming.

### kilowattHours

+ (NSUnitEnergy*) kilowattHours;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitFrequency class

## NSUnitFrequency : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +gigahertz
- +hertz
- +kilohertz
- +megahertz
- +microhertz
- +millihertz
- +nanohertz
- +terahertz

### gigahertz

+ (NSUnitFrequency*) gigahertz;
Availability: MacOS-X 10.12.0
Description forthcoming.

### hertz

+ (NSUnitFrequency*) hertz;
Availability: MacOS-X 10.12.0
Description forthcoming.

### kilohertz

+ (NSUnitFrequency*) kilohertz;
Availability: MacOS-X 10.12.0
Description forthcoming.

### megahertz

+ (NSUnitFrequency*) megahertz;
Availability: MacOS-X 10.12.0
Description forthcoming.

### microhertz

+ (NSUnitFrequency*) microhertz;
Availability: MacOS-X 10.12.0
Description forthcoming.

### millihertz

+ (NSUnitFrequency*) millihertz;
Availability: MacOS-X 10.12.0
Description forthcoming.

### nanohertz

+ (NSUnitFrequency*) nanohertz;
Availability: MacOS-X 10.12.0
Description forthcoming.

### terahertz

+ (NSUnitFrequency*) terahertz;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitFuelEfficiency class

## NSUnitFuelEfficiency : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +litersPer100Kilometers
- +milesPerGallon
- +milesPerImperialGallon

### litersPer100Kilometers

+ (NSUnitFuelEfficiency*) litersPer100Kilometers;
Availability: MacOS-X 10.12.0
Description forthcoming.

### milesPerGallon

+ (NSUnitFuelEfficiency*) milesPerGallon;
Availability: MacOS-X 10.12.0
Description forthcoming.

### milesPerImperialGallon

+ (NSUnitFuelEfficiency*) milesPerImperialGallon;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitIlluminance class

## NSUnitIlluminance : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +lux

### lux

+ (NSUnitIlluminance*) lux;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitLength class

## NSUnitLength : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +astronomicalUnits
- +centimeters
- +decameters
- +decimeters
- +fathoms
- +feet
- +furlongs
- +hectometers
- +inches
- +kilometers
- +lightyears
- +megameters
- +meters
- +micrometers
- +miles
- +millimeters
- +nanometers
- +nauticalMiles
- +parsecs
- +picometers
- +scandinavianMiles
- +yards

### astronomicalUnits

+ (NSUnitLength*) astronomicalUnits;
Availability: MacOS-X 10.12.0
Description forthcoming.

### centimeters

+ (NSUnitLength*) centimeters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### decameters

+ (NSUnitLength*) decameters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### decimeters

+ (NSUnitLength*) decimeters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### fathoms

+ (NSUnitLength*) fathoms;
Availability: MacOS-X 10.12.0
Description forthcoming.

### feet

+ (NSUnitLength*) feet;
Availability: MacOS-X 10.12.0
Description forthcoming.

### furlongs

+ (NSUnitLength*) furlongs;
Availability: MacOS-X 10.12.0
Description forthcoming.

### hectometers

+ (NSUnitLength*) hectometers;
Availability: MacOS-X 10.12.0
Description forthcoming.

### inches

+ (NSUnitLength*) inches;
Availability: MacOS-X 10.12.0
Description forthcoming.

### kilometers

+ (NSUnitLength*) kilometers;
Availability: MacOS-X 10.12.0
Description forthcoming.

### lightyears

+ (NSUnitLength*) lightyears;
Availability: MacOS-X 10.12.0
Description forthcoming.

### megameters

+ (NSUnitLength*) megameters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### meters

+ (NSUnitLength*) meters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### micrometers

+ (NSUnitLength*) micrometers;
Availability: MacOS-X 10.12.0
Description forthcoming.

### miles

+ (NSUnitLength*) miles;
Availability: MacOS-X 10.12.0
Description forthcoming.

### millimeters

+ (NSUnitLength*) millimeters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### nanometers

+ (NSUnitLength*) nanometers;
Availability: MacOS-X 10.12.0
Description forthcoming.

### nauticalMiles

+ (NSUnitLength*) nauticalMiles;
Availability: MacOS-X 10.12.0
Description forthcoming.

### parsecs

+ (NSUnitLength*) parsecs;
Availability: MacOS-X 10.12.0
Description forthcoming.

### picometers

+ (NSUnitLength*) picometers;
Availability: MacOS-X 10.12.0
Description forthcoming.

### scandinavianMiles

+ (NSUnitLength*) scandinavianMiles;
Availability: MacOS-X 10.12.0
Description forthcoming.

### yards

+ (NSUnitLength*) yards;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitMass class

## NSUnitMass : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +carats
- +centigrams
- +decigrams
- +grams
- +kilograms
- +metricTons
- +micrograms
- +milligrams
- +nanograms
- +ounces
- +ouncesTroy
- +picograms
- +pounds
- +shortTons
- +slugs
- +stones

### carats

+ (NSUnitMass*) carats;
Availability: MacOS-X 10.12.0
Description forthcoming.

### centigrams

+ (NSUnitMass*) centigrams;
Availability: MacOS-X 10.12.0
Description forthcoming.

### decigrams

+ (NSUnitMass*) decigrams;
Availability: MacOS-X 10.12.0
Description forthcoming.

### grams

+ (NSUnitMass*) grams;
Availability: MacOS-X 10.12.0
Description forthcoming.

### kilograms

+ (NSUnitMass*) kilograms;
Availability: MacOS-X 10.12.0
Description forthcoming.

### metricTons

+ (NSUnitMass*) metricTons;
Availability: MacOS-X 10.12.0
Description forthcoming.

### micrograms

+ (NSUnitMass*) micrograms;
Availability: MacOS-X 10.12.0
Description forthcoming.

### milligrams

+ (NSUnitMass*) milligrams;
Availability: MacOS-X 10.12.0
Description forthcoming.

### nanograms

+ (NSUnitMass*) nanograms;
Availability: MacOS-X 10.12.0
Description forthcoming.

### ounces

+ (NSUnitMass*) ounces;
Availability: MacOS-X 10.12.0
Description forthcoming.

### ouncesTroy

+ (NSUnitMass*) ouncesTroy;
Availability: MacOS-X 10.12.0
Description forthcoming.

### picograms

+ (NSUnitMass*) picograms;
Availability: MacOS-X 10.12.0
Description forthcoming.

### pounds

+ (NSUnitMass*) pounds;
Availability: MacOS-X 10.12.0
Description forthcoming.

### shortTons

+ (NSUnitMass*) shortTons;
Availability: MacOS-X 10.12.0
Description forthcoming.

### slugs

+ (NSUnitMass*) slugs;
Availability: MacOS-X 10.12.0
Description forthcoming.

### stones

+ (NSUnitMass*) stones;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitPower class

## NSUnitPower : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +femtowatts
- +gigawatts
- +horsepower
- +kilowatts
- +megawatts
- +microwatts
- +milliwatts
- +nanowatts
- +picowatts
- +terawatts
- +watts

### femtowatts

+ (NSUnitPower*) femtowatts;
Availability: MacOS-X 10.12.0
Description forthcoming.

### gigawatts

+ (NSUnitPower*) gigawatts;
Availability: MacOS-X 10.12.0
Description forthcoming.

### horsepower

+ (NSUnitPower*) horsepower;
Availability: MacOS-X 10.12.0
Description forthcoming.

### kilowatts

+ (NSUnitPower*) kilowatts;
Availability: MacOS-X 10.12.0
Description forthcoming.

### megawatts

+ (NSUnitPower*) megawatts;
Availability: MacOS-X 10.12.0
Description forthcoming.

### microwatts

+ (NSUnitPower*) microwatts;
Availability: MacOS-X 10.12.0
Description forthcoming.

### milliwatts

+ (NSUnitPower*) milliwatts;
Availability: MacOS-X 10.12.0
Description forthcoming.

### nanowatts

+ (NSUnitPower*) nanowatts;
Availability: MacOS-X 10.12.0
Description forthcoming.

### picowatts

+ (NSUnitPower*) picowatts;
Availability: MacOS-X 10.12.0
Description forthcoming.

### terawatts

+ (NSUnitPower*) terawatts;
Availability: MacOS-X 10.12.0
Description forthcoming.

### watts

+ (NSUnitPower*) watts;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitPressure class

## NSUnitPressure : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +bars
- +gigapascals
- +hectopascals
- +inchesOfMercury
- +kilopascals
- +megapascals
- +millibars
- +millimetersOfMercury
- +newtonsPerMetersSquared
- +poundsForcePerSquareInch

### bars

+ (NSUnitPressure*) bars;
Availability: MacOS-X 10.12.0
Description forthcoming.

### gigapascals

+ (NSUnitPressure*) gigapascals;
Availability: MacOS-X 10.12.0
Description forthcoming.

### hectopascals

+ (NSUnitPressure*) hectopascals;
Availability: MacOS-X 10.12.0
Description forthcoming.

### inchesOfMercury

+ (NSUnitPressure*) inchesOfMercury;
Availability: MacOS-X 10.12.0
Description forthcoming.

### kilopascals

+ (NSUnitPressure*) kilopascals;
Availability: MacOS-X 10.12.0
Description forthcoming.

### megapascals

+ (NSUnitPressure*) megapascals;
Availability: MacOS-X 10.12.0
Description forthcoming.

### millibars

+ (NSUnitPressure*) millibars;
Availability: MacOS-X 10.12.0
Description forthcoming.

### millimetersOfMercury

+ (NSUnitPressure*) millimetersOfMercury;
Availability: MacOS-X 10.12.0
Description forthcoming.

### newtonsPerMetersSquared

+ (NSUnitPressure*) newtonsPerMetersSquared;
Availability: MacOS-X 10.12.0
Description forthcoming.

### poundsForcePerSquareInch

+ (NSUnitPressure*) poundsForcePerSquareInch;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitSpeed class

## NSUnitSpeed : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +kilometersPerHour
- +knots
- +metersPerSecond
- +milesPerHour

### kilometersPerHour

+ (NSUnitSpeed*) kilometersPerHour;
Availability: MacOS-X 10.12.0
Description forthcoming.

### knots

+ (NSUnitSpeed*) knots;
Availability: MacOS-X 10.12.0
Description forthcoming.

### metersPerSecond

+ (NSUnitSpeed*) metersPerSecond;
Availability: MacOS-X 10.12.0
Description forthcoming.

### milesPerHour

+ (NSUnitSpeed*) milesPerHour;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitTemperature class

## NSUnitTemperature : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +celsius
- +fahrenheit
- +kelvin

### celsius

+ (NSUnitTemperature*) celsius;
Availability: MacOS-X 10.12.0
Description forthcoming.

### fahrenheit

+ (NSUnitTemperature*) fahrenheit;
Availability: MacOS-X 10.12.0
Description forthcoming.

### kelvin

+ (NSUnitTemperature*) kelvin;
Availability: MacOS-X 10.12.0
Description forthcoming.

# Software documentation for the NSUnitVolume class

## NSUnitVolume : NSDimension

> Declared in:
>   Foundation/NSUnit.h

Availability: MacOS-X 10.12.0
Description forthcoming.
Method summary

- +acreFeet
- +bushels
- +centiliters
- +cubicCentimeters
- +cubicDecimeters
- +cubicFeet
- +cubicInches
- +cubicKilometers
- +cubicMeters
- +cubicMiles
- +cubicMillimeters
- +cubicYards
- +cups
- +deciliters
- +fluidOunces
- +gallons
- +imperialFluidOunces
- +imperialGallons
- +imperialPints
- +imperialQuarts
- +imperialTablespoons
- +imperialTeaspoons
- +kiloliters
- +liters
- +megaliters
- +metricCups
- +milliliters
- +pints
- +quarts
- +tablespoons
- +teaspoons

### acreFeet

+ (NSUnitVolume*) acreFeet;
Availability: MacOS-X 10.12.0
Description forthcoming.

### bushels

+ (NSUnitVolume*) bushels;
Availability: MacOS-X 10.12.0
Description forthcoming.

### centiliters

+ (NSUnitVolume*) centiliters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### cubicCentimeters

+ (NSUnitVolume*) cubicCentimeters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### cubicDecimeters

+ (NSUnitVolume*) cubicDecimeters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### cubicFeet

+ (NSUnitVolume*) cubicFeet;
Availability: MacOS-X 10.12.0
Description forthcoming.

### cubicInches

+ (NSUnitVolume*) cubicInches;
Availability: MacOS-X 10.12.0
Description forthcoming.

### cubicKilometers

+ (NSUnitVolume*) cubicKilometers;
Availability: MacOS-X 10.12.0
Description forthcoming.

### cubicMeters

+ (NSUnitVolume*) cubicMeters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### cubicMiles

+ (NSUnitVolume*) cubicMiles;
Availability: MacOS-X 10.12.0
Description forthcoming.

### cubicMillimeters

+ (NSUnitVolume*) cubicMillimeters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### cubicYards

+ (NSUnitVolume*) cubicYards;
Availability: MacOS-X 10.12.0
Description forthcoming.

### cups

+ (NSUnitVolume*) cups;
Availability: MacOS-X 10.12.0
Description forthcoming.

### deciliters

+ (NSUnitVolume*) deciliters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### fluidOunces

+ (NSUnitVolume*) fluidOunces;
Availability: MacOS-X 10.12.0
Description forthcoming.

### gallons

+ (NSUnitVolume*) gallons;
Availability: MacOS-X 10.12.0
Description forthcoming.

### imperialFluidOunces

+ (NSUnitVolume*) imperialFluidOunces;
Availability: MacOS-X 10.12.0
Description forthcoming.

### imperialGallons

+ (NSUnitVolume*) imperialGallons;
Availability: MacOS-X 10.12.0
Description forthcoming.

### imperialPints

+ (NSUnitVolume*) imperialPints;
Availability: MacOS-X 10.12.0
Description forthcoming.

### imperialQuarts

+ (NSUnitVolume*) imperialQuarts;
Availability: MacOS-X 10.12.0
Description forthcoming.

### imperialTablespoons

+ (NSUnitVolume*) imperialTablespoons;
Availability: MacOS-X 10.12.0
Description forthcoming.

### imperialTeaspoons

+ (NSUnitVolume*) imperialTeaspoons;
Availability: MacOS-X 10.12.0
Description forthcoming.

### kiloliters

+ (NSUnitVolume*) kiloliters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### liters

+ (NSUnitVolume*) liters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### megaliters

+ (NSUnitVolume*) megaliters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### metricCups

+ (NSUnitVolume*) metricCups;
Availability: MacOS-X 10.12.0
Description forthcoming.

### milliliters

+ (NSUnitVolume*) milliliters;
Availability: MacOS-X 10.12.0
Description forthcoming.

### pints

+ (NSUnitVolume*) pints;
Availability: MacOS-X 10.12.0
Description forthcoming.

### quarts

+ (NSUnitVolume*) quarts;
Availability: MacOS-X 10.12.0
Description forthcoming.

### tablespoons

+ (NSUnitVolume*) tablespoons;
Availability: MacOS-X 10.12.0
Description forthcoming.

### teaspoons

+ (NSUnitVolume*) teaspoons;
Availability: MacOS-X 10.12.0
Description forthcoming.

Up